#!/bin/bash

# Source : http://sg.torque.net/sg/p/
# Packager : JP Guillemin jp.guillemin@free.fr

soft='sdparm'
softversion='1.04'
packageversion='64.1'

arch='i486'
cpu='i686'

buildir=$(pwd)
srcpkg="$buildir/$soft-$softversion.tgz"
src="$buildir/$soft-$softversion"
package="$soft-$softversion-$arch-$packageversion"
dest="/tmp/$package"

cd $buildir
rm -rf $src
tar -xvf $srcpkg
rm -f $dest.tgz
rm -rf $dest
mkdir -p $dest
chown -R root:root .
export CFLAGS="-O2 -march=$arch -mtune=$cpu"

cd $src

./configure --prefix=/usr --mandir=/usr/man
make DESTDIR=$dest
make install DESTDIR=$dest


( cd $dest
  find . | xargs file | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded
)
( cd $dest/usr/man
  find . -name "*.?" | xargs gzip -9
)

# redundant
rm -rf $dest/usr/share/doc

# Description file
mkdir -p $dest/install

cat << "EODESC" > $dest/install/slack-desc
sdparm: sdparm can get/set SCSI device parameters
sdparm:
sdparm: sdparm can be used to output and modify parameters on any
sdparm: device that uses a SCSI command set. Apart from SCSI disks, 
sdparm: such devices include CD/DVD drives (irrespective of transport),
sdparm: SCSI and ATAPI tape drives and SCSI enclosures.
sdparm:
sdparm:
sdparm:
sdparm:
EODESC

# Documentation
mkdir -p $dest/usr/doc/$soft-$softversion
cp -a \
  AUTHORS COPYING INSTALL README ChangeLog \
  $dest/usr/doc/$soft-$softversion
mkdir -p $dest/usr/src/$soft-$softversion
cp $buildir/build-$soft.sh $dest/usr/src/$soft-$softversion

# Packaging
cd $dest
makepkg -l y -c y $dest.txz

